%define upstream_name    DBIx-Class-Candy
%define upstream_version 0.005004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create sugar for your favorite ORM, DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class) >= 0.81.230
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(MRO::Compat) >= 0.110.0
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::clean) >= 0.180.0
BuildArch:  noarch

%description
'DBIx::Class::Candy' is a simple sugar layer for definition of the
DBIx::Class manpage results. Note that it may later be expanded to add
sugar for more 'DBIx::Class' related things. By default
'DBIx::Class::Candy':

* *

  turns on strict and warnings

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.5.4-1.mga10
+ Revision: 2141463
- update to 0.005004

* Sun Mar 20 2022 umeabot <umeabot> 0.5.3-5.mga9
+ Revision: 1808675
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.3-4.mga8
+ Revision: 1503655
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.5.3-3.mga7
+ Revision: 1282597
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.5.3-2.mga7
+ Revision: 1163921
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.5.3-1.mga7
+ Revision: 1159617
- update to 0.005003

* Sun May 08 2016 shlomif <shlomif> 0.5.2-1.mga6
+ Revision: 1010578
- update to 0.005002

* Thu Apr 28 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007477
- update to 0.005001

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 969066
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 861307
- update to 0.005000

* Mon Jul 06 2015 sander85 <sander85> 0.4.1-1.mga6
+ Revision: 851947
- update to 0.004001

* Wed Oct 15 2014 umeabot <umeabot> 0.2.105-3.mga5
+ Revision: 743548
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.2.105-1.mga5
+ Revision: 614661
- update to 0.002105

* Sat Oct 19 2013 umeabot <umeabot> 0.2.104-2.mga4
+ Revision: 526852
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.2.104-1.mga4
+ Revision: 438934
- update to 0.002104

* Sun Jan 13 2013 umeabot <umeabot> 0.2.103-2.mga3
+ Revision: 365088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.2.103-1.mga3
+ Revision: 341972
- update to 0.002103

* Wed Aug 29 2012 kharec <kharec> 0.2.101-1.mga3
+ Revision: 285224
- update to 0.002101

* Tue Jun 05 2012 jquelin <jquelin> 0.2.100-1.mga3
+ Revision: 254735
- update to 0.002100
- update to 0.002001

* Fri Mar 11 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 68181
- update buildrequires:
- update to 0.002000

* Tue Mar 08 2011 jquelin <jquelin> 0.1.6-1.mga1
+ Revision: 66605
- update to 0.001006

* Tue Jan 25 2011 jquelin <jquelin> 0.1.5-1.mga1
+ Revision: 38578
- mageia rebuild
- imported package perl-DBIx-Class-Candy

